using EvaPosSrvDTO;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Serialization;

namespace EvaPOS_API_FRAME.DTO
{
    ///<summary>
    /// DTO que obtiene los valores del XML "Obtener totales"
    /// </summary>
    [XmlRoot(ElementName = "GetTotalsRequest")]
    public class GetTotalsRequest : DTOBase
    {
        public GetTotalsRequest(int idSesion, TipoMensaje tipo) : base(idSesion, tipo)
        {
        }
        public GetTotalsRequest()
        {
        }

        [XmlElement(ElementName = "ParameterExtension")]
        public object ParameterExtension { get; set; }

        [XmlElement(ElementName = "EnableCallback")]
        public bool EnableCallback { get; set; }

        [XmlElement(ElementName = "RequestID")]
        public int RequestID { get; set; }
    }
}
